Bug 648666 - (CVE-2010-4079) CVE-2010-4079 kernel: drivers/video/ivtv/ivtvfb.c: reading uninitialized stack memory
CVE-2010-4079 kernel: drivers/video/ivtv/ivtvfb.c: reading uninitialized stac...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100915,reported=20101006,sou...
: Security
Depends On: 648831 648832 648833
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 17:24 EDT by Petr Matousek
Modified: 2015-08-31 23:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-01 17:24:16 EDT
Description of problem:
The FBIOGET_VBLANK device ioctl in ivtvfb.c allows unprivileged users to read 16 bytes of uninitialized stack memory, because the 'reserved' member of the fb_vblank struct declared on the stack is not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/06/6
http://lkml.org/lkml/2010/9/15/393


Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 2 Petr Matousek 2010-11-02 07:10:29 EDT
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4, and 5 as they did not include support for the Conexant's
CX23415/CX23416 codec chip.
Comment 3 Eugene Teo (Security Response) 2010-11-04 03:40:53 EDT
Upstream commit:
http://git.kernel.org/linus/405707985594169cfd0b1d97d29fcb4b4c6f2ac9
Comment 4 errata-xmlrpc 2010-12-08 14:10:03 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html
Comment 5 errata-xmlrpc 2011-01-11 14:46:32 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Note You need to log in before you can comment on or make changes to this bug.